Skip to main content
POST
/
v1
/
payment_initiations
/
{id}
/
tokens
Create a payment initiation token
curl --request POST \
  --url https://api.yorlet.com/v1/payment_initiations/{id}/tokens \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_name": "<string>"
}
'
{
  "created": 123,
  "object": "payment_initiation.token",
  "token": "<string>",
  "type": "plaid",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
brand_name
string
Maximum string length: 30

Response

200 - application/json

The single-use token object is returned upon success. Otherwise, this call returns an error.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
payment_initiation.token
token
string
required
type
enum<string>
required
Available options:
plaid
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.